<?php

namespace CreoCode\ContaoCssHelper\ContaoManager;

use Contao\CoreBundle\ContaoCoreBundle;
use Contao\ManagerPlugin\Bundle\BundlePluginInterface;
use Contao\ManagerPlugin\Bundle\Config\BundleConfig;
use Contao\ManagerPlugin\Bundle\Parser\ParserInterface;

use CreoCode\ContaoCssHelper\ContaoCssHelper;
use MadeYourDay\RockSolidCustomElements\RockSolidCustomElementsBundle;
use CreoCode\ContaoColumns\ContaoColumns;

/**
 * Plugin for the Contao Manager.
 */
class Plugin implements BundlePluginInterface
{
    /**
     * {@inheritdoc}
     */
    public function getBundles(ParserInterface $parser)
    {
        return [
            BundleConfig::create(ContaoCssHelper::class)
                ->setLoadAfter([
                    ContaoCoreBundle::class,
                    RockSolidCustomElementsBundle::class,
                    ContaoColumns::class
                ]),
        ];
    }

}
